Package org.jfree.layouting.renderer.model.table

## Class TableRenderBox

- java.lang.Object
- - org.jfree.layouting.renderer.model.RenderNode
  - - org.jfree.layouting.renderer.model.RenderBox
    - - org.jfree.layouting.renderer.model.BlockRenderBox
      - - org.jfree.layouting.renderer.model.table.TableRenderBox

-     public class TableRenderBox
      extends BlockRenderBox

  A table render box contains table header, table footer and the table body. The table body itself may also contain table header cells - which get repeated after pagebreaks.

  Tables contain more than just rows, in fact, they are separated into three sections.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

      `LOG_PRUNE`

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

      `HORIZONTAL_AXIS, VERTICAL_AXIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableRenderBox​(BoxDefinition boxDefinition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChild​(RenderNode child)` |
    `void` | `appyStyle​(LayoutContext layoutContext, OutputProcessorMetaData metaData)` |
    `java.lang.Object` | `clone​()` | Clones this node.
    `RenderLength` | `getBorderSpacing​()` |
    `TableColumnModel` | `getColumnModel​()` |
    `RenderLength` | `getRowSpacing​()` |
    `boolean` | `isAutoLayout​()` |
    `boolean` | `isCollapsingBorderModel​()` |
    `boolean` | `isDisplayEmptyCells​()` |
    `boolean` | `isLayoutable​()` |
    `boolean` | `isPredefinedColumnsValidated​()` |
    `boolean` | `isStructureValidated​()` |
    `void` | `setPredefinedColumnsValidated​(boolean predefinedColumnsValidated)` |
    `void` | `setStructureValidated​(boolean structureValidated)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

      `addChilds, addGeneratedChild, clear, close, derive, deriveFrozen, findNodeById, freeze, getBaselineInfo, getBorder, getBoxDefinition, getBoxLayoutProperties, getContentAreaX1, getContentAreaX2, getDominantBaseline, getEffectiveMarginBottom, getEffectiveMarginTop, getFirstChild, getInsertationPoint, getLastChild, getLineCount, getNominalBaselineInfo, getOrphans, getOrphansSize, getPageContext, getStaticBoxLayoutProperties, getVisibleFirst, getVisibleLast, getWidows, getWidowsSize, hibernate, insertAfter, insertBefore, isAppendable, isAvoidPagebreakInside, isDiscardable, isEmpty, isOpen, isPreserveSpace, remove, replaceChild, replaceChilds, setBaselineInfo, setContentAreaX1, setContentAreaX2, setFirstChild, setLastChild, setLineCount, setOrphansSize, setPageContext, setWidowsSize, split`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

      `getAlignmentAdjust, getAlignmentAdjustResolved, getAlignmentBaseline, getBaselineShift, getBaselineShiftResolved, getChangeTracker, getComputedLayoutProperties, getDimension, getHeight, getInstanceId, getLayoutContext, getLogicalPage, getMajorAxis, getMaximumBoxWidth, getMinimumChunkWidth, getMinorAxis, getNamespace, getNext, getNodeLayoutProperties, getNormalFlow, getParent, getParentBlockContext, getPosition, getPrev, getStickyMarker, getTagName, getVerticalAlignment, getVisibleNext, getVisiblePrev, getWidth, getX, getY, isDirectionLTR, isDirty, isFrozen, isHibernated, isIcmMetricsFinished, isIgnorableForRendering, normalizeAlignment, setComputedLayoutProperties, setDimension, setDirty, setHeight, setHibernated, setIcmMetricsFinished, setMajorAxis, setMaximumBoxWidth, setMinimumChunkWidth, setMinorAxis, setNext, setParent, setPosition, setPrev, setStickyMarker, setWidth, setX, setY, updateChangeTracker`

- - ### Constructor Detail

    - #### TableRenderBox

          public TableRenderBox​(BoxDefinition boxDefinition)

  - ### Method Detail

    - #### appyStyle

          public void appyStyle​(LayoutContext layoutContext,
                                OutputProcessorMetaData metaData)

      Overrides:
        `appyStyle` in class `RenderBox`

    - #### isPredefinedColumnsValidated

          public boolean isPredefinedColumnsValidated​()

    - #### setPredefinedColumnsValidated

          public void setPredefinedColumnsValidated​(boolean predefinedColumnsValidated)

    - #### isStructureValidated

          public boolean isStructureValidated​()

    - #### setStructureValidated

          public void setStructureValidated​(boolean structureValidated)

    - #### getColumnModel

          public TableColumnModel getColumnModel​()

    - #### addChild

          public void addChild​(RenderNode child)

      Overrides:
        `addChild` in class `RenderBox`

    - #### isLayoutable

          public boolean isLayoutable​()

    - #### getBorderSpacing

          public RenderLength getBorderSpacing​()

    - #### getRowSpacing

          public RenderLength getRowSpacing​()

    - #### isDisplayEmptyCells

          public boolean isDisplayEmptyCells​()

    - #### isCollapsingBorderModel

          public boolean isCollapsingBorderModel​()

    - #### isAutoLayout

          public boolean isAutoLayout​()

    - #### clone

          public java.lang.Object clone​()

      Description copied from class: `RenderBox`
      Clones this node. Be aware that cloning can get you into deep trouble, as the relations this node has may no longer be valid.
      Overrides:
        `clone` in class `RenderBox`